from mysql.connector import Error as mysqlError

from app.messages.api_responses import product_responses as response
import app.messages.api_errors as errors

from app.db import product_db

from app.models.product_model import Product


def delete_product(seller_id: str, product_id: str):
    product: Product = product_db.fetch_product_by_id(product_id)

    if product.seller_id != seller_id:
        return response.NOT_OWNER_OF_PRODUCT

    try:
        product_db.delete_product(product)

    except mysqlError as e:
        return errors.UNKNOWN_DATABASE_ERROR(e)

    return response.PRODUCT_LISTING_CREATED_SUCCESSFULLY
